LINUX.ORG.RU
ФорумAdmin

Установка PHP с поддержкой Oracle (ВАЖНО!!!)


0

0

Здравствуйте!

Возникла необходимость установки PHP с поддержкой Oracle. При всем при этом Oracle на сервере не установлен, соединение будет проходить с удаленном сервером.

Сам вопрос: как собрать PHP с поддержкой Oracle? Нужен ли для этого клиент Oracle? А если нужен, где его взять? И какой клиент нужен (насколько я понял, они бывают разные)?

Дело в том, что при конфигурации PHP нужно указывать: ./configure --with-oci8=$ORACLE_HOME

Но где взять этот $ORACLE_HOME если у меня стоит ни клиент, ни сам севрер.

В других дистрах (отличных от FC5, 6, 7, 8) можно просто скачать менеджером пакетов php-oci8. Но в федоре (в её репозитариях) этого нету. Поэтому пришел к выводу, что нужно собирать пхп. Но как видите вышла вышеописанная проблема. Как её решить? Буду очень благодарен.

★★★

Ответ на: Re: Установка PHP с поддержкой Oracle (ВАЖНО!!!) от MiracleMan

Re: Установка PHP с поддержкой Oracle (ВАЖНО!!!)

Огромный сенкс, но он за собой тянет php-common-5.2.5, а он в свою очередь конфликтует с моим php-common-5.2.2

rpm -U тоже не помогает, т.к.:

[root@master Downloads]# rpm -U php-common-5.2.5-1.fc7.remi.i386.rpm предупреждение: php-common-5.2.5-1.fc7.remi.i386.rpm: Заголовок V3 DSA signature: NOKEY, key ID 00f97f56 ошибка: Неудовлетворенные зависимости: php-common = 5.2.2-3 нужен для (установлен)php-cli-5.2.2-3.i386 php-common = 5.2.2-3 нужен для (установлен)php-5.2.2-3.i386 php-common = 5.2.2-3 нужен для (установлен)php-gd-5.2.2-3.i386 php-common = 5.2.2-3 нужен для (установлен)php-pdo-5.2.2-3.i386 php-common = 5.2.2-3 нужен для (установлен)php-mysql-5.2.2-3.i386 php-common = 5.2.2-3 нужен для (установлен)php-xml-5.2.2-3.i386 php-common = 5.2.2-3 нужен для (установлен)php-mbstring-5.2.2-3.i386

VirRaa ★★★ ()

Re: Установка PHP с поддержкой Oracle (ВАЖНО!!!)

вообще оракл не зря рекомендует использовать только сертифицированные системы типа RHEL (он же Centos он же Oracle Linux), там такие проблемы отсутствуют поскольку все бинарники нужных версий.

sa22 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.